Bug 1268372 - Review Request: openstack-app-catalog-ui - openstack horizon plugin for the openstack app-catalog
Review Request: openstack-app-catalog-ui - openstack horizon plugin for the o...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
Liberty
All Linux
unspecified Severity medium
: ---
: Kilo
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
: 1264072 (view as bug list)
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-10-02 13:21 EDT by Kevin Fox
Modified: 2016-05-17 07:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 04:27:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fox 2015-10-02 13:21:20 EDT
Spec URL: http://efox.cc/temp/openstack-app-catalog-ui.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/1879/11311879/openstack-app-catalog-ui-1.0.0-0.1rc1.fc24.src.rpm
Description: This package provides an OpenStack Horizon plugin to allow easy access to assets stored in the OpenStack App Catalog.
Fedora Account System Username: kfox1111
Comment 1 Upstream Release Monitoring 2015-10-13 07:08:22 EDT
social's scratch build of openstack-puppet-modules?#db4e135626252ebf0b23b8a0e6e98ce0dcf2f9e6 for git://pkgs.fedoraproject.org/openstack-puppet-modules?#db4e135626252ebf0b23b8a0e6e98ce0dcf2f9e6 and rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11426591
Comment 2 Kevin Fox 2015-10-13 11:37:24 EDT
?

Was the wrong bug commented on?

Also, PING. This has been hung up for a while.
Comment 3 Matthias Runge 2015-10-14 06:11:37 EDT
Uhm, sorry!

The comment was definitely wrong here.

Could you please update the spec with something like this?
https://github.com/mrunge/app-catalog-ui/blob/rpm-master/openstack-app-catalog-ui.spec

Since your tests (in %check) do nothing, you could safely remove many BuildRequirements

Once upstream uses tests, we can add them back and use upstreams unittests.

additional to my proposal, you can safely remove 
Requires: python-scss (as it's a requirement of openstack-dashboard)
Comment 4 Haïkel Guémar 2015-10-14 14:04:24 EDT
*** Bug 1264072 has been marked as a duplicate of this bug. ***
Comment 5 Alan Pevec 2015-10-15 18:38:02 EDT
To proceed, please update your draft spec according to comment 3
Comment 6 Upstream Release Monitoring 2015-10-16 14:12:28 EDT
kfox1111's scratch build of openstack-app-catalog-ui-1.0.0-0.1rc1.el7.centos.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11477584
Comment 7 Kevin Fox 2015-10-16 15:25:27 EDT
Thanks for the reviews. I merged in all of Matthias's suggestions. I also updated it to work with the final 1.0.0 release. The links are updated below:

Spec URL: http://efox.cc/temp/openstack-app-catalog-ui.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/8038/11478038/openstack-app-catalog-ui-1.0.0-1.fc24.src.rpm
Description: This package provides an OpenStack Horizon plugin to allow easy access to assets stored in the OpenStack App Catalog.
Fedora Account System Username: kfox1111
Comment 8 Upstream Release Monitoring 2015-10-20 06:16:52 EDT
social's scratch build of openstack-puppet-modules?#8564064dd63e71ab2156e7b49e0ab0305ad76da5 for git://pkgs.fedoraproject.org/openstack-puppet-modules?#8564064dd63e71ab2156e7b49e0ab0305ad76da5 and rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11513243
Comment 9 Kevin Fox 2015-10-20 13:40:04 EDT
Again, seems like upstream release monitoring is marking the wrong bug?

Any other comments on this submission? Is it good to go? Anything else I can do?

Thanks,
Kevin
Comment 10 Matthias Runge 2015-10-23 16:41:34 EDT
Kevin, please be a bit more patient with me. I have been offline over the past week and will be traveling next week.
Comment 11 Kevin Fox 2015-10-23 17:11:08 EDT
Hi Matthias,

Sorry. I understand how busy it is during a major release and with the summit. I really do. I was asking to ensure things weren't being held up by me.


Our goal was to get it in before the summit so we could announce things and that's looking like its just not going to happen. It has been months trying to get the package through. I'm not blaming you, or anyone else. If anything, I'm blaming myself for not understanding the process well enough.

This is on the critical path to getting it contributed to other projects, like tripleo, packstack, kolla, openstack-ansible, openstack-chef, openstack-puppet, etc. Its a very large amount of work left todo and we were hoping to spend the summit working on reaching out to those teams to get support going and its harder to do when the packages aren't ready.

Anyway, what can I do to help get this through as quickly as possible? If the answer is there's just isnt anything todo and has to wait till after the summit, that's fine. We'll just have to figure out a plan B for the summit.

Thanks,
Kevin
Comment 12 Matthias Runge 2015-10-24 05:04:00 EDT
Kevin, when I get a minute (or two), I'll proceed with the review.

Have you submitted (or reviewed) any other packages for Fedora yet?

There are a few pointers (or requirements for new contributors to Fedora (and RDO, EPEL)):

There is a workflow described here:

https://fedoraproject.org/wiki/Package_Review_Process

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

I should be probably the one sponsoring you into the packager group. Are you going to be in Tokyo? I *might* find some time on Tuesday to do a proper review. 

Maybe Alan is able to pull in your package into RDO, even if it's not approved yet.
Comment 13 Kevin Fox 2015-10-24 11:13:48 EDT
Matthias, Thanks for the help. I really appreciate it.

I haven't submitted any other packages to Fedora, so I'll have to figure that part out. Thanks for the links. I'll go through them today.

Yeah, I'll be at the summit too. I was planning on attending the RDO community meetup on 12:45 on Wednesday. Will you be there?

Alan, do you think that would be ok? We do want to get into Fedora properly. The timing is just not ideal.

Thanks,
Kevin
Comment 14 Matthias Runge 2015-10-27 22:08:13 EDT
Kevin, I'll be there.
Comment 15 Kevin Fox 2015-10-28 02:38:11 EDT
Matthias, I was there, but didn't manage to catch up with you. Sorry. :/
Comment 16 Matthias Runge 2015-10-29 03:40:17 EDT
flake8 is not used during build, pleae remove it as well

I would use truncate -s 0 {test-,}requirements.txt 
instead of removing that files

Otherwise looks good.
Comment 17 Kevin Fox 2015-10-29 06:43:21 EDT
Hi Matthias,

Thanks for the review. I've included the changes. Please find the revisions below:

Spec URL: http://efox.cc/temp/openstack-app-catalog-ui.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/3823/11623823/openstack-app-catalog-ui-1.0.0-1.fc24.src.rpm
Description: This package provides an OpenStack Horizon plugin to allow easy access to assets stored in the OpenStack App Catalog.
Fedora Account System Username: kfox1111

Thanks,
Kevin
Comment 18 Matthias Runge 2015-10-29 08:30:36 EDT
I'd approve this package, it looks sane to me.

Thank you for your patience, Kevin.

Alan, how to proceed from here now? There is no flag to set, if it was a fedora review, I'd approve the package.
Comment 19 Kevin Fox 2015-11-09 16:34:13 EST
Ping
Comment 20 Kevin Fox 2015-11-18 12:14:35 EST
PING
Comment 21 Alan Pevec 2015-11-19 07:59:32 EST
Sorry I missed ping, bad filter on my gmail :(
This package is RDO only, we're not going to push it to Fedora (NB Product: RDO )
and next step is to import it to openstack-package rpm-master, I'll do that now.
From there we import it to CBS Koji and build it for RDO testing repo, then after verification move to production.
Comment 22 Kevin Fox 2015-11-19 11:39:35 EST
Awesome. Thank you. :)

Yeah, I've been bitten by gmail filters before too. no worries.

Thanks,
Kevin
Comment 23 Alan Pevec 2015-11-19 20:47:51 EST
Imported and adjusted for delorean builds
https://github.com/openstack-packages/apps-catalog-ui

Also imported to gerrithub, for further .spec changes please send gerrit reviews.
First test review: https://review.gerrithub.io/252737
Comment 24 Kevin Fox 2015-11-23 14:21:53 EST
So what are the next steps?

I just relied the repo name doesn't match the openstack-packages name. it was renamed on import into the github.com/openstack namespace. its now app-catalog-ui.

Is this something we can easily change, or should we just point to the apps name in rdoinfo?

Thanks,
Kevin
Comment 25 Alan Pevec 2015-11-24 06:51:42 EST
Actually, I made a typo and created wrong openstack-packages/apps-catalog-ui - it should be upstream project name, app-catalog-ui, I'll rename it.

PR for redhat-openstack/rdoinfo would look like:

- project: app-catalog-ui
  conf: core
  maintainers:
  - Kevin.Fox@pnnl.gov
Comment 26 Alan Pevec 2015-11-24 07:07:31 EST
Rename done on github and gerrithub, please send rdoinfo PR.
Comment 27 Alan Pevec 2015-12-01 20:45:39 EST
Kevin, I've created rdoinfo change in your name, please ack
https://github.com/redhat-openstack/rdoinfo/pull/125
Comment 28 Kevin Fox 2015-12-02 11:33:29 EST
Thank you for creating it. I've been trying to get delorean to build stuff for the last few days. I did an git pull and it broke. :/

I just tried a fresh checkout and get in the build logs:
++ cd /home/kfox/svn/delorean3/data/openstack-app-catalog-ui
++ git clean -dxf
+ for FILE in '{test-,}requirements.txt'
+ '[' -f test-requirements.txt ']'
+ sed -i 's/;python_version[!=<>]=\?.*//g' test-requirements.txt
+ sed -i 's/;sys_platform[!=<>]=\?.*//g' test-requirements.txt
+ for FILE in '{test-,}requirements.txt'
+ '[' -f requirements.txt ']'
++ dirname /home/kfox/svn/delorean3/scripts/build_rpm.sh
+ /usr/bin/mock -q -r /home/kfox/svn/delorean3/scripts/delorean.cfg --clean
The password you typed is invalid.
Please try again.
+ finalize
+ rm -rf /tmp/tmp.I5oS6kEWrY

Is it no longer using docker to do the builds?

Thanks,
Keivn
Comment 29 Kevin Fox 2015-12-02 12:16:39 EST
yup.

commit 66571fce45a007bcf49fd54ad7db622fd737874f
Merge: 33baf8a 1e56c11
Author: Alan Pevec <alan.pevec@redhat.com>
Date:   Fri Oct 2 16:33:05 2015 +0200

    Merge "Use mock instead of a custom docker machinery to build packages"


doing this:
git checkout 33baf8a796cf75cd0baaab062ccb91432f1489d3

made it work for me again, and the rdoinfo pull request seems to do the job.

Thanks,
Kevin
Comment 30 Matthias Runge 2016-01-11 04:27:00 EST
closing this, since it seems to be included now.

Note You need to log in before you can comment on or make changes to this bug.